summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorNick Mathewson <nickm@torproject.org>2020-08-11 11:03:24 -0400
committerNick Mathewson <nickm@torproject.org>2020-08-11 11:03:24 -0400
commit912c8e6a8cb05c2a2482a73b9bd2b1804d5a56df (patch)
treeddbe31d34226662f68ba2ad3f6785b9e804e7878
parent3854123b0b786acd935edddad32160bbef27e96f (diff)
parent673d02bdb0517cc9867d0f67aec887f71e6d1ce5 (diff)
downloadtor-912c8e6a8cb05c2a2482a73b9bd2b1804d5a56df.tar.gz
tor-912c8e6a8cb05c2a2482a73b9bd2b1804d5a56df.zip
Merge branch 'maint-0.4.4' into release-0.4.4
-rw-r--r--changes/bug400954
-rwxr-xr-xscripts/ci/ci-driver.sh4
-rwxr-xr-xscripts/maint/run_check_subsystem_order.sh1
3 files changed, 7 insertions, 2 deletions
diff --git a/changes/bug40095 b/changes/bug40095
new file mode 100644
index 0000000000..5c4b3a2b7e
--- /dev/null
+++ b/changes/bug40095
@@ -0,0 +1,4 @@
+ o Minor bugfixes (testing):
+ - When running the subsystem order check, use the python binary
+ configured with the PYTHON environment variable. Fixes bug 40095;
+ bugfix on 0.4.4.1-alpha.
diff --git a/scripts/ci/ci-driver.sh b/scripts/ci/ci-driver.sh
index bede68baa8..a675335115 100755
--- a/scripts/ci/ci-driver.sh
+++ b/scripts/ci/ci-driver.sh
@@ -257,7 +257,7 @@ fi
uname -a
python -V || echo "no 'python' binary."
-python3 -V || echo "no 'pythone' binary."
+python3 -V || echo "no 'python3' binary."
show_git_version Tor "${CI_SRCDIR}"
if [[ "${STEM}" = "yes" ]]; then
@@ -378,7 +378,7 @@ if [[ "${CHECK}" = "yes" ]]; then
hooray "make check has succeeded."
else
error "Here are the contents of the test suite output:"
- runcmd cat test_suite.log || true
+ runcmd cat test-suite.log || true
FAILED_TESTS="${FAILED_TESTS} check"
fi
end_section "Check"
diff --git a/scripts/maint/run_check_subsystem_order.sh b/scripts/maint/run_check_subsystem_order.sh
index 4ec73bfd56..8e98f1e49c 100755
--- a/scripts/maint/run_check_subsystem_order.sh
+++ b/scripts/maint/run_check_subsystem_order.sh
@@ -12,6 +12,7 @@ if ! test -x "${INCLUDES_PY}" ; then
fi
"${TOR}" --dbg-dump-subsystem-list | \
+ "${PYTHON:-python}" \
"${INCLUDES_PY}" --check-subsystem-order - "${abs_top_srcdir}/src"
echo ok